Skip to main content
Post Sale Entity

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields.

Body

The SaleEntity to be saved.

Partial SaleEntity class associating the generated SaleEntity with an interface.

Appointment
object

Simple read-only appointment data. Carrier object for Appointment. Services for the Appointment Carrier is available from the Appointment Agent.

Associate
object

Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.

UpdatedBy
object

Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.

CreatedBy
object

Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.

Contact
object

Carrier object for Contact. Services for the Contact Carrier is available from the Contact Agent.

Project
object

Carrier object for Project. Services for the Project Carrier is available from the Project Agent.

SaleText
string

Text describing the sale

Person
object

Carrier object for Person. Services for the Person Carrier is available from the Person Agent.

Currency
object

Carrier object for Currency. Services for the Currency Carrier is available from the List Agent.

Competitor
object

Carrier object for Competitor. Services for the Competitor Carrier is available from the List Agent.

Credited
object

Carrier object for Credited. Services for the Credited Carrier is available from the List Agent.

Rating
object

Sale Stage with probability percent. Carrier object for Rating. Services for the Rating Carrier is available from the List Agent.

Reason
object

Reason for a lost sale Carrier object for Reason. Services for the Reason Carrier is available from the List Agent.

Source
object

Source of a sale Carrier object for Source. Services for the Source Carrier is available from the List Agent.

Status
enum<string>

The state of the Sale: Open / Sold / Lost / Stalled

Available options:
Unknown,
Open,
Sold,
Lost,
Stalled,
SaintAll
Saledate
string<date-time>

(expected / lost / won) sales date

Amount
number<double>

Total sale amount

SaleId
integer<int32>

Primary key

Earning
number<double>

Earning on sale

EarningPercent
number<double>

Earning as percent of total

Heading
string

Sale heading (short description?)

Number
string

Alphanumeric user field

Probability
integer<int32>

Actual probability, may differ from the one in the list

CreatedDate
string<date-time>

Registered date in UTC.

UpdatedDate
string<date-time>

Last updated in UTC.

Completed
enum<string>

The sale's completed state as an ActivityStatus (Completed=3), not the SaleDone enum stored in sale.done. Only Completed marks the sale as done (sale.done=2); any other value, including Started, is stored as not done (sale.done=1).

Available options:
Unknown,
NotStarted,
Started,
Completed

Number of active links to sale, document, appointment.

List of all elements linked to the sale.

NextDueDate
string<date-time>

Next due date, this is a denormalization of 'closest future activity date, or most recent if no future activities'. Maintained by the system, but very convenient for searching.

Postit
string

The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases

SaleType
object

Carrier object for SaleType. Services for the SaleType Carrier is available from the List Agent.

ReasonSold
object

Reason for a succesfully sold sale Carrier object for ReasonSold. Services for the ReasonSold Carrier is available from the List Agent.

ReasonStalled
object

Carrier object for ReasonStalled. Services for the ReasonStalled Carrier is available from the List Agent.

ReopenDate
string<date-time>

Date the sale is to be reopened; valid only for status=stalled. Not necessarily the same as the nextDueDate.

SaleStakeholders
object[]

The number of active erp links

UserDefinedFields
object

Deprecated: Use {SuperOffice.CRM.Services.SaleEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234"

ExtraFields
object

Deprecated: Use {SuperOffice.CRM.Services.SaleEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc.

CustomFields
object

Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.SaleEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection.

PublishEventDate
string<date-time>

Publish event date

PublishTo
string<date-time>

Publication valid to (inclusive)

PublishFrom
string<date-time>

Publication valid from (inclusive)

IsPublished
boolean

Publication is published

VisibleFor
object[]

The set of users or groups the record is visible for

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.

Response

OK

The Sale Entity contains the sale amount, currency, and sale members. Sales are linked to contacts, persons, and/or projects. SaleEntity entity with API _Links added.

Appointment
object

Simple read-only appointment data. Carrier object for Appointment. Services for the Appointment Carrier is available from the Appointment Agent.

Associate
object

Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.

UpdatedBy
object

Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.

CreatedBy
object

Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.

Contact
object

Carrier object for Contact. Services for the Contact Carrier is available from the Contact Agent.

Project
object

Carrier object for Project. Services for the Project Carrier is available from the Project Agent.

SaleText
string

Text describing the sale

Person
object

Carrier object for Person. Services for the Person Carrier is available from the Person Agent.

Currency
object

Carrier object for Currency. Services for the Currency Carrier is available from the List Agent.

Competitor
object

Carrier object for Competitor. Services for the Competitor Carrier is available from the List Agent.

Credited
object

Carrier object for Credited. Services for the Credited Carrier is available from the List Agent.

Rating
object

Sale Stage with probability percent. Carrier object for Rating. Services for the Rating Carrier is available from the List Agent.

Reason
object

Reason for a lost sale Carrier object for Reason. Services for the Reason Carrier is available from the List Agent.

Source
object

Source of a sale Carrier object for Source. Services for the Source Carrier is available from the List Agent.

Status
enum<string>

The state of the Sale: Open / Sold / Lost / Stalled

Available options:
Unknown,
Open,
Sold,
Lost,
Stalled,
SaintAll
Saledate
string<date-time>

(expected / lost / won) sales date

Amount
number<double>

Total sale amount

SaleId
integer<int32>

Primary key

Earning
number<double>

Earning on sale

EarningPercent
number<double>

Earning as percent of total

Heading
string

Sale heading (short description?)

Number
string

Alphanumeric user field

Probability
integer<int32>

Actual probability, may differ from the one in the list

CreatedDate
string<date-time>

Registered date in UTC.

UpdatedDate
string<date-time>

Last updated in UTC.

Completed
enum<string>

The sale's completed state as an ActivityStatus (Completed=3), not the SaleDone enum stored in sale.done. Only Completed marks the sale as done (sale.done=2); any other value, including Started, is stored as not done (sale.done=1).

Available options:
Unknown,
NotStarted,
Started,
Completed

Number of active links to sale, document, appointment.

List of all elements linked to the sale.

NextDueDate
string<date-time>

Next due date, this is a denormalization of 'closest future activity date, or most recent if no future activities'. Maintained by the system, but very convenient for searching.

Postit
string

The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases

SaleType
object

Carrier object for SaleType. Services for the SaleType Carrier is available from the List Agent.

ReasonSold
object

Reason for a succesfully sold sale Carrier object for ReasonSold. Services for the ReasonSold Carrier is available from the List Agent.

ReasonStalled
object

Carrier object for ReasonStalled. Services for the ReasonStalled Carrier is available from the List Agent.

ReopenDate
string<date-time>

Date the sale is to be reopened; valid only for status=stalled. Not necessarily the same as the nextDueDate.

SaleStakeholders
object[]

The number of active erp links

UserDefinedFields
object

Deprecated: Use {SuperOffice.CRM.Services.SaleEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234"

ExtraFields
object

Deprecated: Use {SuperOffice.CRM.Services.SaleEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc.

CustomFields
object

Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.SaleEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection.

PublishEventDate
string<date-time>

Publish event date

PublishTo
string<date-time>

Publication valid to (inclusive)

PublishFrom
string<date-time>

Publication valid from (inclusive)

IsPublished
boolean

Publication is published

VisibleFor
object[]

The set of users or groups the record is visible for

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.